from ul_db_utils.model.base_user_log_model import BaseUserLogModel
from ul_db_utils.modules.postgres_modules.db import db


class ReferenceLink(BaseUserLogModel):
    """
    Model for reference-links-service
    git: /unic-lab/libraries/common-services/reference-links

    short_id: str, short link generated by service format(uuid4().time_low, 'x'))
    expiration_date: datetime, date of link expiration
    origin_link: str, link for origin resource, where user, will be redirected by short link
    """
    __tablename__ = 'ref_link'

    short_id = db.Column(db.String(255), unique=True, comment="Короткая ссылка, сгенерированная в format(uuid4().time_low, 'x')")
    expiration_date = db.Column(db.DateTime(), comment="Дата и время истечения срока действия ссылки")
    origin_link = db.Column(db.Text, comment="Ссылка на исходный ресурс, на которой пользователь будет перенаправлен по короткой ссылке")
